﻿<Window
    x:Class="OnSive.Code.Tools.MainWindow"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:avalonEdit="http://icsharpcode.net/sharpdevelop/avalonedit"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:local="clr-namespace:OnSive.Code.Tools"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    Width="800"
    Height="450"
    mc:Ignorable="d"
    Title="[OS] Code Tools">

    <Window.Resources>
        <ResourceDictionary>
            <Style TargetType="TextBox">
                <Setter Property="TextWrapping" Value="Wrap" />
                <Setter Property="AcceptsReturn" Value="True" />
            </Style>
            <Style TargetType="Button">
                <Setter Property="Margin" Value="0 0 0 10" />
                <Setter Property="Background" Value="Transparent" />
            </Style>
        </ResourceDictionary>
    </Window.Resources>

    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="200" />
            <ColumnDefinition Width="*" />
        </Grid.ColumnDefinitions>

        <avalonEdit:TextEditor
            BorderBrush="#FFE0E0E0"
            BorderThickness="1"
            FontFamily="Consolas"
            FontSize="10pt"
            Name="TextEditor_CodeIn"
            SyntaxHighlighting="C#"
            Text="/* INPUT */" />
        <avalonEdit:TextEditor
            Grid.Column="2"
            BorderBrush="#FFE0E0E0"
            BorderThickness="1"
            FontFamily="Consolas"
            FontSize="10pt"
            Name="TextEditor_CodeOut"
            SyntaxHighlighting="C#"
            Text="/* OUTPUT */" />

        <ComboBox
            Grid.Column="1"
            Margin="20"
            VerticalAlignment="Top"
            Name="ComboBox_Plugin"
            SelectionChanged="ComboBox_Plugin_SelectionChanged" />
        <Border
            Grid.Column="1"
            Margin="0,62,0,70"
            BorderBrush="#FFE0E0E0"
            BorderThickness="1">
            <ScrollViewer HorizontalScrollBarVisibility="Disabled" VerticalScrollBarVisibility="Auto">
                <StackPanel Margin="20 15 20 15" Name="StackPanel_Buttons" />
            </ScrollViewer>
        </Border>

        <Button
            Grid.Column="1"
            Height="30"
            Margin="20"
            VerticalAlignment="Bottom"
            Background="Transparent"
            Click="Button_CopyOutPut_Click"
            Content="Copy OutPut" />

    </Grid>
</Window>